Method: customers.getSubscriptionInfo

Gets the aggregated subscription and license information for a given customer as a singleton resource. Note: Because the data is snapshotted for ChromeOS devices, the exact numbers can be delayed by up to 10 seconds.

HTTP request

GET https://chromemanagement.googleapis.com/v1/{name=customers/*/subscriptionInfo}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the customer subscription info to retrieve. Format: customers/{customer}/subscriptionInfo

Request body

The request body must be empty.

Response body

Singleton resource representing the subscription and license information for a given customer.

If successful, the response body contains data with the following structure:

JSON representation
{
  "name": string,
  "chromeEnterpriseUpgradeAnnual": {
    object (AnnualSubscriptionInfo)
  },
  "kioskSignageUpgradeAnnual": {
    object (AnnualSubscriptionInfo)
  },
  "chromePerpetualUpgrade": {
    object (PerpetualLicenseInfo)
  }
}
Fields
name

string

Identifier. The resource name of the customer subscription info. Format: customers/{customer}/subscriptionInfo

chromeEnterpriseUpgradeAnnual

object (AnnualSubscriptionInfo)

Output only. Details for Chrome Enterprise Upgrade Annual SKU.

kioskSignageUpgradeAnnual

object (AnnualSubscriptionInfo)

Output only. Details for Kiosk & Signage Upgrade Annual SKU.

chromePerpetualUpgrade

object (PerpetualLicenseInfo)

Output only. Details for Chrome Ent/Edu Upgrade Perpetual SKU.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/chrome.management.subscriptions.readonly

AnnualSubscriptionInfo

Information for annually recurring subscriptions/licenses.

JSON representation
{
  "counts": {
    object (LicenseCounts)
  },
  "subscriptionEndTime": string
}
Fields
counts

object (LicenseCounts)

Output only. License counts for this subscription.

subscriptionEndTime

string (Timestamp format)

Output only. The date when the current subscription period ends.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

LicenseCounts

Resource counts for a specific license type.

JSON representation
{
  "totalPurchasedCount": string,
  "assignedCount": string,
  "unassignedCount": string
}
Fields
totalPurchasedCount

string (int64 format)

Output only. Total number of licenses purchased.

assignedCount

string (int64 format)

Output only. Total number of licenses currently assigned to users or devices.

unassignedCount

string (int64 format)

Output only. Total number of licenses available for assignment.

PerpetualLicenseInfo

Information for perpetual licenses.

JSON representation
{
  "counts": {
    object (LicenseCounts)
  },
  "retiredCount": string,
  "conditionallyAvailableCount": string
}
Fields
counts

object (LicenseCounts)

Output only. License counts for the perpetual SKU.

retiredCount

string (int64 format)

Output only. Number of perpetual upgrades that were purchased but are no longer available for enrollment. These are perpetual upgrades that were enrolled to a device that has since been retired, and the upgrade cannot be transferred or re-used on a different device. Retired licenses are a subset of the Assigned total.

conditionallyAvailableCount

string (int64 format)

Output only. Number of standalone perpetual upgrades that were previously enrolled and later unenrolled for RMA, warranty, or repair reasons, and are only available to be reused on a same model device. Conditionally available licenses are a subset of the Assigned total.